42 lines
1.3 KiB
Diff
42 lines
1.3 KiB
Diff
|
--- /usr/portage/net-nds/openldap/openldap-2.4.21.ebuild 2010-04-11 17:14:48.000000000 +0200
|
||
|
+++ openldap-2.4.22.ebuild 2010-06-03 05:27:07.963282627 +0200
|
||
|
@@ -17,7 +17,7 @@
|
||
|
IUSE_BACKEND="+berkdb"
|
||
|
IUSE_OVERLAY="overlays perl"
|
||
|
IUSE_OPTIONAL="gnutls iodbc sasl ssl odbc debug ipv6 syslog selinux"
|
||
|
-IUSE_CONTRIB="smbkrb5passwd kerberos"
|
||
|
+IUSE_CONTRIB="smbkrb5passwd kerberos samba4"
|
||
|
IUSE_CONTRIB="${IUSE_CONTRIB} -cxx"
|
||
|
IUSE="${IUSE_DAEMON} ${IUSE_BACKEND} ${IUSE_OVERLAY} ${IUSE_OPTIONAL} ${IUSE_CONTRIB}"
|
||
|
|
||
|
@@ -412,6 +412,15 @@
|
||
|
|| die "emake smbk5pwd failed"
|
||
|
fi
|
||
|
|
||
|
+ if use samba4 ; then
|
||
|
+ einfo "Building contrib-module: samba4"
|
||
|
+ cd "${S}/contrib/slapd-modules/samba4"
|
||
|
+
|
||
|
+ emake \
|
||
|
+ CC="${CC}" libexecdir="/usr/$(get_libdir)/openldap" \
|
||
|
+ || die "emake samba4 failed"
|
||
|
+ fi
|
||
|
+
|
||
|
if use kerberos ; then
|
||
|
cd "${S}/contrib/slapd-modules/passwd"
|
||
|
einfo "Compiling contrib-module: pw-kerberos"
|
||
|
@@ -543,6 +552,13 @@
|
||
|
newdoc README smbk5pwd-README
|
||
|
fi
|
||
|
|
||
|
+ if use samba4 ; then
|
||
|
+ einfo "Install the samba4 module"
|
||
|
+ cd "${S}/contrib/slapd-modules/samba4"
|
||
|
+ emake DESTDIR="${D}" libexecdir="/usr/$(get_libdir)/openldap" install || die "emake install samba4 failed"
|
||
|
+ newdoc README samba4-README
|
||
|
+ fi
|
||
|
+
|
||
|
einfo "Installing contrib modules"
|
||
|
cd "${S}/contrib/slapd-modules"
|
||
|
for l in */*.la; do
|